resource "aws_security_group" "alb" {
  name        = "alb-group"
  description = "ALB security group is final world frontier security group."
  vpc_id      = var.jz_vpc.self.id

  tags = {
    Name = "${var.name}-${var.env}-alb-sg"
    Env  = var.env
  }

  dynamic "ingress" {
    for_each = var.port_mapping
    content {
      from_port   = ingress.value.alb_port
      to_port     = ingress.value.alb_port
      protocol    = "tcp"
      cidr_blocks = [
        "0.0.0.0/0",
      ]
    }
  }

  dynamic "ingress" {
    for_each = var.redirect_80_to_443 ? [true] : []
    content {
      from_port   = 80
      to_port     = 80
      protocol    = "tcp"
      cidr_blocks = [
        "0.0.0.0/0",
      ]
    }
  }

  egress {
    from_port = "0"
    to_port = "0"
    protocol = "-1"
    cidr_blocks = [
      "0.0.0.0/0",
    ]
  }
}
