variable "env" {
  type        = string
  description = "Deployment environment."
}

variable "aws_vpc" {
  type = object({
    id         = string
    cidr_block = string
  })
  description = "An aws_vpc resource in which Swarm will be created."
}

variable "ssh_key_name" {
  type        = string
  description = "Swarm SSH key name for AWS keypair and local files."
}

variable "jz_swarm_global" {
  type = object({
    iam_roles = object({
      swarm_manager = object({
        arn = string
      })
      swarm_worker = object({
        arn = string
      })
    })
  })
}

variable "swarm_mgmt_cidrs" {
  type = list
  default = []
  description = "A list of CIDRs (IP/32) that will have access to manage Swarm and dev tools."
}
