output "ips" {
  value       = {
    "leader"   = aws_instance.leader[0].public_ip,
    "managers" = aws_instance.manager.*.public_ip,
    "workers"  = aws_instance.worker.*.public_ip,
  }
  description = "Swarm IPs."
}

output "instance_ids" {
  value       = {
    "leader"   = aws_instance.leader[0].id,
    "managers" = aws_instance.manager.*.id,
    "workers"  = aws_instance.worker.*.id,
  }
  description = "Swarm launched instance IDs."
}

output "efs" {
  value = {
    "reg"   = aws_efs_file_system.regular_efs,
    "maxio" = aws_efs_file_system.maxio_efs,
  }
}

output "docker_ami" {
  value = module.amzn2_docker_ami.ami_id
}
