resource "aws_security_group" "app" {
  name        = "app-group"
  description = "Application security group with ports open to the world."
  vpc_id      = var.jz_vpc.self.id

  tags = {
    Name = "${var.name}-${var.env}-app-sg"
    Env  = var.env
  }

  dynamic "ingress" {
    for_each = var.app_ports
    content {
      from_port   = ingress.value
      to_port     = ingress.value
      protocol    = "tcp"
      cidr_blocks = [
        "0.0.0.0/0",
      ]
    }
  }

  egress {
    from_port = "0"
    to_port = "0"
    protocol = "-1"
    cidr_blocks = [
      "0.0.0.0/0",
    ]
  }
}

resource "aws_security_group" "dev" {
  name        = "dev-group"
  description = "Development security group with development ports open to the Swarm managers."
  vpc_id      = var.jz_vpc.self.id

  tags = {
    Name = "${var.name}-${var.env}-dev-sg"
    Env  = var.env
  }

  dynamic "ingress" {
    for_each = var.dev_ports
    content {
      from_port   = ingress.value
      to_port     = ingress.value
      protocol    = "tcp"
      cidr_blocks = flatten([var.jz_swarm_generic.swarm_mgmt_cidrs, module.terraform_host.cidr])
    }
  }

  egress {
    from_port = "0"
    to_port = "0"
    protocol = "-1"
    cidr_blocks = [
      "0.0.0.0/0",
    ]
  }
}
